# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-transport"
  s.version = "7.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2016-11-03"
  s.description = "The Sensu transport abstraction library"
  s.email = ["portertech@gmail.com"]
  s.files = ["LICENSE.txt", "README.md", "lib/sensu/transport.rb", "lib/sensu/transport/base.rb", "lib/sensu/transport/patches/amqp.rb", "lib/sensu/transport/rabbitmq.rb", "lib/sensu/transport/redis.rb", "sensu-transport.gemspec"]
  s.homepage = "https://github.com/sensu/sensu-transport"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "The Sensu transport abstraction library"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, [">= 0"])
      s.add_runtime_dependency(%q<amq-protocol>, ["= 2.0.1"])
      s.add_runtime_dependency(%q<amqp>, ["= 1.6.0"])
      s.add_runtime_dependency(%q<sensu-redis>, [">= 1.0.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<codeclimate-test-reporter>, [">= 0"])
      s.add_development_dependency(%q<sensu-logger>, [">= 0"])
    else
      s.add_dependency(%q<eventmachine>, [">= 0"])
      s.add_dependency(%q<amq-protocol>, ["= 2.0.1"])
      s.add_dependency(%q<amqp>, ["= 1.6.0"])
      s.add_dependency(%q<sensu-redis>, [">= 1.0.0"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
      s.add_dependency(%q<sensu-logger>, [">= 0"])
    end
  else
    s.add_dependency(%q<eventmachine>, [">= 0"])
    s.add_dependency(%q<amq-protocol>, ["= 2.0.1"])
    s.add_dependency(%q<amqp>, ["= 1.6.0"])
    s.add_dependency(%q<sensu-redis>, [">= 1.0.0"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    s.add_dependency(%q<sensu-logger>, [">= 0"])
  end
end

